pub use log::info;

pub struct Splash;

impl Splash {
    const LINES: [&'static str; 6] = [
        "███████╗███████╗██╗░░░░░██████╗░░██████╗██████╗░░█████╗░████████╗",
        "██╔════╝██╔════╝██║░░░░░██╔══██╗██╔════╝██╔══██╗██╔══██╗╚══██╔══╝",
        "█████╗░░█████╗░░██║░░░░░██║░░██║╚█████╗░██████╔╝███████║░░░██║░░░",
        "██╔══╝░░██╔══╝░░██║░░░░░██║░░██║░╚═══██╗██╔═══╝░██╔══██║░░░██║░░░",
        "██║░░░░░███████╗███████╗██████╔╝██████╔╝██║░░░░░██║░░██║░░░██║░░░",
        "╚═╝░░░░░╚══════╝╚══════╝╚═════╝░╚═════╝░╚═╝░░░░░╚═╝░░╚═╝░░░╚═╝░░░",
    ];

    pub fn log() {
        info!("{}", Self::LINES[0]);
        info!("{}", Self::LINES[1]);
        info!("{}", Self::LINES[2]);
        info!("{}", Self::LINES[3]);
        info!("{}", Self::LINES[4]);
        info!("{}", Self::LINES[5]);
    }
}
